Bug 1802219 - cluster-etcd-operator should compute client endpoints from node IP addresses
Summary: cluster-etcd-operator should compute client endpoints from node IP addresses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 16:02 UTC by Alay Patel
Modified: 2020-04-13 20:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-22 00:15:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 119 0 None closed Bug 1802219: add etcdcli that can be used across the project. 2020-04-13 20:58:57 UTC

Description Alay Patel 2020-02-12 16:02:05 UTC
Description of problem:
The cluster etcd operator has different ways of getting etcd endpoints for etcd clients used across the project. 

We need a single client interface that gets the endpoints from master nodes' IP addresses and that has utility methods around it


Note You need to log in before you can comment on or make changes to this bug.